#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QDirIterator>
#include <QSqlDatabase>
#include <QSqlQuery>
#include <QSqlError>
#include <QFileDialog>
#include <QProcess>
#include <QMessageBox>
#include <QDateTime>
#include <QDebug>
#include <QTableWidgetItem>
#include <QPrinter>
#include <QNetworkAccessManager>
#include <QNetworkReply>
#include <QJsonDocument>
#include <QJsonObject>
#include <QJsonArray>
#include <QDesktopServices>
#include <QUrl>

QT_BEGIN_NAMESPACE
namespace Ui { class MainWindow; }
QT_END_NAMESPACE

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = nullptr);
    ~MainWindow();

private slots:
    // Menü
    void on_actionDaten_aktualisieren_triggered();
    void on_actionDaten_ausgeben_triggered();
    void on_actionBeenden_triggered();
    void on_actionPfad_zu_den_Videos_triggered();
    // Navigation + Speichern
    void on_pushButton_minus_clicked();
    void on_pushButton_plus_clicked();
    void on_pushButton_speichern_clicked();
    void on_pushButton_abspielen_clicked();
    void on_pushButton_bild_clicked();
    // Suchen
    void on_lineEdit_suchen_textChanged();
    void on_pushButton_Wikipedia_clicked();
    void on_pushButton_google_clicked();
    void on_pushButton_imdb_clicked();
    // Löschen
    void on_pushButton_daten_loeschen_clicked();
    // Andere
    void on_tableWidget_Datenbank_ausgabe_cellClicked(int row, int column);
    void on_pushButton_pfad_clicked();
    void on_pushButton_PDF_speichern_clicked();
    void on_pushButton_ordner_clicked();
    //

private:
    void oeffneDatenbank();
    void schiesseDatenbank();
    void leseVerzeichnis();
    int Debug;
    QString datenPfad;
    Ui::MainWindow *ui;
    QSqlDatabase db;
    QSqlQuery query;
};
#endif // MAINWINDOW_H
